- include_tasks: facts.yaml
- include_tasks: "{{ imgplan }}.yaml"
- include_tasks: plan.yaml
- include_tasks: database.yaml
- include_tasks: secrets.yaml
- include_tasks: configure.yaml
- include_tasks: upgrades.yaml
  when:
  - gt_dc is defined
  - gt_dc.resources is defined
  - gt_dc.resources[0] is defined
  - gt_dc.resources[0].spec is defined
  - >
     ((deployment_kind == 'Deployment' or (do_triggers | default(False)) == False)
      and gt_dc.resources[0].spec.template is defined
      and gt_dc.resources[0].spec.template.spec is defined
      and gt_dc.resources[0].spec.template.spec.containers is defined
      and gt_dc.resources[0].spec.template.spec.containers[0] is defined
      and gt_dc.resources[0].spec.template.spec.containers[0].image is defined
      and not (gt_dc.resources[0].spec.template.spec.containers[0].image is regex("gerrit:" ~ gerrit_tag)))
     or (deployment_kind == 'DeploymentConfig'
         and (do_triggers | default(False))
         and gt_dc.resources[0].spec.triggers is defined
         and gt_dc.resources[0].spec.triggers[0] is defined
         and gt_dc.resources[0].spec.triggers[0].imageChangeParams is defined
         and gt_dc.resources[0].spec.triggers[0].imageChangeParams.from is defined
         and gt_dc.resources[0].spec.triggers[0].imageChangeParams.from.name is defined
         and gt_dc.resources[0].spec.triggers[0].imageChangeParams.from.name != ("gerrit:" ~ gerrit_tag))
- include_tasks: deploy.yaml
- include_tasks: slaves.yaml
- include_tasks: verify.yaml
